#!/usr/bin/env bash
set -eu
set -o pipefail
set -o errtrace
shopt -s expand_aliases

RED='\033[0;31m'
GREEN='\033[0;32m'
NC='\033[0m'


echo -e "Running pylint...\n"
if pylint lib; then
  echo -e "\n${GREEN}Pylint found no errors!${NC}\n"
else
  echo -e "\n${RED}Pylint failed with errors${NC}\n"
  exit 1
fi
